video driver upgrade GeForce 6600

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read this

video driver upgrade GeForce 6600

Postby 3pinner on Sat Feb 02, 2013 5:26 pm

Hello there,
I have a GeForce 6600 vid card which is currently running the NVIDIA 173 driver.(Desktop system with an MSI board, AMD Processor)
I would like to at least upgrade the video driver to the 304 version but am unable to do so thru the GUI interface. the 304 version is evidently the most recent driver for that card (from the NVIDIA site info)
I tried the GUI interface (System>Preference>Additional Drivers) and the only choices I have is the 173 driver, and a beta 304 driver.

I downloaded the 304.64 driver from the NVIDIA web site, but am unsure it will work in Mint. The website says it will support my card.

So I have some installation questions:
I would like to try manually installing the 304.64 driver (using the sh command to run the installation file)
I know I need to stop X Server before I can manually install the driver, but if it does not work, how do I reinstall the 173 driver from the command prompt?
Also, can any one explain why I cannot upgrade to the 304 beta using the GUI interface? It will go thru the loading process then give me a message that the installation failed.

Not much to go on, but if I can get clear instructions on how to reinstall the 173 driver if my attempt fails I'd appreciate it.
Thanks
3pinner
Level 1
Level 1
 
Posts: 29
Joined: Mon Mar 05, 2012 8:47 pm

Linux Mint is funded by ads and donations.
 

Re: video driver upgrade GeForce 6600

Postby 3pinner on Wed Feb 06, 2013 9:32 pm

so how do i reinstall the previous driver via the terminal?
3pinner
Level 1
Level 1
 
Posts: 29
Joined: Mon Mar 05, 2012 8:47 pm

Re: video driver upgrade GeForce 6600

Postby kibatz on Thu Feb 14, 2013 7:50 am

Note that the 173 is not compatible with x11 1.2 that Mint 13 et 14 use. If you use the 300xx and above Nvidia driver you migth have a gpu fan running at top speed, but i've found a solution:, see my post: http://forums.linuxmint.com/viewtopic.php?f=49&t=124369
kibatz
Level 1
Level 1
 
Posts: 11
Joined: Thu Jan 31, 2013 6:46 am

Re: video driver upgrade GeForce 6600

Postby AlbertP on Thu Feb 14, 2013 8:06 am

@ kibatz: that's not fully true. A 173 driver compatible with Mint 13 has been released already. nvidia-173 is in the Linux Mint 13 repository; you may need to run apt update first to be able to install it.

@ 3pinner: You can install nvidia-current or nvidia-experimental-304 from the repository / Software Manager on Mint 13 or 14, both of which are much newer than the 173 driver. The 173 legacy driver is only there for maintaining compatibility with GeForce 5 series cards which can't use the modern -current or -experimental drivers.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Re: video driver upgrade GeForce 6600

Postby kibatz on Thu Feb 14, 2013 11:49 am

@ albertP

ok, but for Mint 14 i know that to use the 173 driver, it is necessary to downgrade X11 to Version 1.1.

id like to use the 173 driver with Mint 14 (and the furur Mint 15) because the newer drivers from nvidia, 300xx and above, cannot see my gpu fan, and so, it s running at top speed.
kibatz
Level 1
Level 1
 
Posts: 11
Joined: Thu Jan 31, 2013 6:46 am

Re: video driver upgrade GeForce 6600

Postby AlbertP on Thu Feb 14, 2013 12:35 pm

@ kibatz: Of course that's true for 14, I meant to say that on 13 you can use 173. But this topic is for helping 3pinner with his 6600, and please do not assume he has the same fan speed problems as you, since he has a very different card. IF a user reports fan speed problems, 173 could be worth a try, but since many people do not have such a problem with fan speed, it doesn't help to tell everybody beforehand that they will get problems. Instead of driving people away from 3xx drivers, I would rather have them try it first.

@ 3pinner: please ignore the lenghty discussion between kibatz and me, just try the drivers in the repository (nvidia-current, nvidia-current-updates, nvidia-experimental-304) and see if there is any of them which works for you without causing additional problems. Note that nvidia-experimental-310 does not support 6000 and 7000 series cards.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Re: video driver upgrade GeForce 6600

Postby kibatz on Fri Feb 15, 2013 9:46 am

@ 3pinner

if i was you, i will not try the recent driver. If you have a stable Operating system with the 173 driver, just keep it. going Nvidia driver 300xx and above, will not boost your frame rate i am shure, or maybe just a little, and you might have severe problems like the "not recognized temp sensor" with a fan going 10.000 decibels.

Note that this problem occur on different type of nvidia card.

My 8800 GT is newer than your 6600 GT and i have some problem.

And i can tell you that the nvidia-seetings of the 300xx and above dont offer more intresting option than de 173.

And i dont find clean to install/unsintall several time different Nvidia driver.

Personnaly i tried to use de 173 instead of the 300xx, reverse situation.

@ AlbertP
I find very accurate to say to him that severe problem might appens if he do that, and also it s more/less unecessary. And he does nt have a very different card than me, he have a Nvidia card from +/- the same age and this problem occur on different type of nvidia card.
Last edited by kibatz on Fri Feb 15, 2013 10:43 am, edited 1 time in total.
kibatz
Level 1
Level 1
 
Posts: 11
Joined: Thu Jan 31, 2013 6:46 am

Re: video driver upgrade GeForce 6600

Postby AlbertP on Fri Feb 15, 2013 9:56 am

6600 and 8800 are not +/- the same age. Trust me, they are totally different cards. While the 6000 and 7000 series don't differ much, the 8000 series was a huge change.
The 6600 was introduced in 2004, and the 8800 GT in 2007. For graphics cards, three years is quite a difference. Both NVIDIA and AMD are releasing a new generation of cards every one or two years.

Also, it is very easy to switch between NVIDIA driver versions with the repository packages. I have been trying different drivers too for my 6200 card, such as nvidia-experimental-304, nvidia-current-updates, etc. That all works well. You just need to make sure that you're uninstalling the nvidia-settings-173 package too when uninstalling nvidia-173.

That way, I'm still convinced 3pinner should just try the drivers from the repository to find a working one.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Linux Mint is funded by ads and donations.
 

Return to Hardware Support

Who is online

Users browsing this forum: ktheking and 12 guests